/* * { */
    /* border: 1px solid black; */
/* } */

.pageImg_div {
    height: 65%;
    width: 100%;
}

@media (max-width: 479px) {
    .pageImg_div {
        height: 35%;
        width: 100%;
    }
}

.titleImg {
    /* background-image: url("./images/pageTitleImgs/fruitsP.jpg"); */
    background-size: cover;
    background-position-x: right;
    /* background-position-y: top; */
}

.pageTitle {
    font-family: 'Kalam', cursive;
    font-size: 72px;
    /* margin-bottom: 80px; */
}


/* card ?? */

.card {
    border: none;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px !important;
    padding: 0px;
    transition:background-color 0.5s, font-size 1s, transform 1s;
}
.nameDiv{
    
    /* background: radial-gradient(circle, #020bf7 0, #2e3192 90%) no-repeat; */
    background: radial-gradient(circle, rgb(53, 191, 43) 0, rgb(51, 160, 44) 90%) no-repeat;
    background-size: 10%;
    transition: 1s;
    border-top: 2px solid  rgba(0, 0, 0, 0.098);
    border-bottom: 2px solid  rgba(0, 0, 0, 0.098);
    font-family: 'Roboto', sans-serif;
    font-size: 16px;
}

.card:hover .nameDiv{
    background-size: 100%;
}

.patternName{
    font-weight: bold !important;
    font-size: 22px;
    transition: 0.5s;
}

.card:hover .patternName{  
    color: white;
}

.imgDiv{
    scale: 1;
    transition:scale 1s, transform 1s;
}

.card:hover .imgDiv {
    scale: 2;
}

@media (max-width: 479px) {
    .size {
        font-size: 12px !important;
    }
    .righttext{
        padding-right: 10px !important;
    }
}
.size{
    font-family: 'Inconsolata', monospace;
    font-size: 16px;

    color: #0000;
    /* background: linear-gradient(90deg,#1b22e0 50%,rgb(136, 135, 135) 0) var(--_p,100%)/200% no-repeat; */
    background: linear-gradient(90deg,rgb(51, 160, 44) 50%,rgba(136, 135, 135, 0.779) 0) var(--_p,100%)/200% no-repeat;

    -webkit-background-clip: text;
            background-clip: text;
    transition: 0.5s;
}
.sizeRow:hover .size{
    font-size: 20px;
    cursor: pointer;
    --_p: 0%;
}
.sizeRow:hover .fixsize{
    font-size: 16px !important;
}
.sizeRow:hover .bi{
    color: white !important;
    /* background-color:#1b22e0 !important; */
    background-color:rgb(51, 160, 44) !important;
    border-radius: 100% !important;
}


@media screen and (min-width: 768px) {
    .showText {
      overflow-y: hidden;
      max-height: 6rem;
      transition: max-height 1.5s;
    }
  
    .card:hover .showText {
      max-height: 25rem; /* Adjust this value to accommodate your content */
    }
  }

  /* card xcelink  */
  .txtmark{
    font-size: 13px;
    font-weight: bold;
  }
  .card:hover .detailrow{
    height: auto !important;
  }

/* card ?? */



.fixed-bg {
    background-image: url("./images/AgroLogo.png");
    width: 100%;
    height: 50%;
    /* min-height: 1000px; */
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: absolute;
}

.fieldsetImg {
    background-image: linear-gradient(rgba(255, 255, 255, 0.735), rgba(255, 255, 255, 0.735)), url("./images/timsunProduct/fixbgtimsun.jpg");
    /* background-repeat: no-repeat; */
    background-attachment: fixed;

    /* background-position: left center; */
    /* background-color: #cccccc; */
    /* height: 500px; */
    /* background-position: center; */
    background-position-x: center;
    background-position-y: top;
    background-repeat: no-repeat;
    background-size: 80%;
    position: relative;

}


/* duraturn card  */
.nameDivDuraturn{
    /* background: radial-gradient(circle, #020bf7 0, #2e3192 90%) no-repeat; */
    background: radial-gradient(circle, rgb(53, 191, 43) 0, rgb(51, 160, 44) 90%) no-repeat;
    /* background: radial-gradient(circle, #74f702 0, #2e9242 90%) no-repeat; */

    background-size: 100%;
    transition: 1s;
    border-top: 2px solid  rgba(0, 0, 0, 0.098);
    border-bottom: 2px solid  rgba(0, 0, 0, 0.098);
    font-family: 'Roboto', sans-serif;
    font-size: 16px;
    color: white !important;
}
/* duraturn card  */